#toaster{
	--toast-width:14rem;
	max-width:var(--toast-width);
	font-size:.75rem;
	position:fixed;
	top:calc(var(--acct-bar-height) / 2 - .9rem);
	left:calc(50% - var(--toast-width) / 2);right:calc(50% - var(--toast-width) / 2);
	display:none;
	text-align:center;
	justify-content:center;
	animation:none;
	user-select:none;
	pointer-events:none;
}#toaster.perma{
	top:auto;
	bottom:calc(var(--acct-bar-height) / 2 - .9rem);
}
#toaster>span{
	padding: .45rem 1.25rem .35rem 1.25rem;
	text-align:center;
	background:var(--user-accent-color);
	color:var(--text-color-panel-header);
	border-radius:1rem;
	box-shadow:.125rem .125rem .25rem #222222cc;
}

#toaster.toast_on.long{
	display:flex;
	opacity:.85;
	animation:toast-anim 7.5s;
	animation-fill-mode:forwards;
}
#toaster.toast_on.perma{
	display:flex;
	opacity:1;
	animation:toast-anim-perma 7.5s;
	animation-fill-mode:forwards;
}
#toaster.toast_on.short{
	display:flex;
	opacity:.85;
	animation:toast-anim 4.5s;
	animation-fill-mode:forwards;
}

@keyframes toast-anim{
	0%{
		opacity:0;
	}
	8%{
		opacity:0.85
	}
	60%{
		opacity:0.85
	}
	100%{
		opacity:0;
	}
}

@keyframes toast-anim-perma{
	0%{
		opacity:0;
	}
	8%{
		opacity:1
	}
	100%{
		opacity:1
	}
}